<?php
class goods extends table
{
	public function __construct()
	{
		parent::__construct();
		$this->set_table(S_DB_PREFIX.'goods');
		$this->set_where("goo_lang = '".S_LANG."'");
		$this->set_where('goo_show = 1');
		$this->set_order('goo_top');
		$this->set_order('goo_index');
		$this->set_order('goo_id');
	}
	
	protected function deal($field,$val)
	{
		if($field == 'goo_market_price' || $field == 'goo_shop_price')
		{
			$val = sprintf('%.2f',$val);
		}
		return $val;
	}
	
}
//红头船
?>